# Unique project name
name: app

# Required BuildStream format version
format-version: 12

# Subdirectory where elements are stored
element-path: elements

sources:
  git_tag:
    config:
      checkout-submodules: False
      track-tags: True

plugins:
  - origin: pip
    package-name: buildstream-external
    elements:
      collect_integration: 0
      collect_manifest: 0
      flatpak_image: 0
      flatpak_repo: 0
      tar_element: 0
      x86image: 0
      oci: 0
    sources:
      git_tag: 1
      project_ref: 0
  - origin: local
    path: plugins/elements
    elements:
      bootableImage: 0

aliases:
  github: https://github.com/
  gnome: https://gitlab.gnome.org/GNOME/

options:
  # Copied from Freedesktop SDK (Shouldn't be junctioned)
  target_arch:
    type: arch
    description: Architecture
    variable: arch
    values:
      - arm
      - aarch64
      - i686
      - x86_64
      - powerpc64le


